# LogLevel

Package io.milvus.param

## Enum LogLevel

- java.lang.Object
- - java.lang.Enum<LogLevel>
  - - io.milvus.param.LogLevel

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<LogLevel>`

    public enum LogLevel
    extends java.lang.Enum<LogLevel>

### Enum Constant Summary

Enum Constants
`Debug`
`Error`
`Info`
`Warning`

### Method Summary

All Methods Static Methods Concrete Methods
`static LogLevel` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LogLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Debug

    public static final LogLevel Debug

#### Info

    public static final LogLevel Info

#### Warning

    public static final LogLevel Warning

#### Error

    public static final LogLevel Error

### Method Detail

#### values

    public static LogLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LogLevel c : LogLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LogLevel valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null